Bug 489949 - DPMS fails on i965 graphics card
Summary: DPMS fails on i965 graphics card
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-12 16:40 UTC by Andrew Hecox
Modified: 2018-04-11 12:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-05 02:42:33 UTC


Attachments (Terms of Use)
dmesg (49.39 KB, text/plain)
2009-03-12 16:41 UTC, Andrew Hecox
no flags Details
xorg log with kms enabled, after 6 minutes w\o dpms (29.57 KB, text/plain)
2009-03-12 16:41 UTC, Andrew Hecox
no flags Details
xorg log, w\o kms (48.70 KB, text/plain)
2009-03-12 16:42 UTC, Andrew Hecox
no flags Details

Description Andrew Hecox 2009-03-12 16:40:23 UTC
from F11 test day, DPMS does not work -- there's no obvious failure, the screen power management just never kicks in.

Comment 1 Andrew Hecox 2009-03-12 16:41:04 UTC
Created attachment 334962 [details]
dmesg

Comment 2 Andrew Hecox 2009-03-12 16:41:51 UTC
Created attachment 334963 [details]
xorg log with kms enabled, after 6 minutes w\o dpms

Comment 3 Andrew Hecox 2009-03-12 16:42:20 UTC
Created attachment 334964 [details]
xorg log, w\o kms

Comment 4 Davide Cescato 2009-03-12 17:18:12 UTC
On my machine (GMA4500, i965, deviceID 0x2a42), power management does kick in, but much later than it should. E.g. after about 15 minutes instead of after 6 minutes as it should. The exact time seems however to be random.

This could be the same issue.

Comment 5 Andrew Hecox 2009-03-12 17:50:43 UTC
this worked when I was on battery, but did not work on AC. I confirmed that I set the '6 minutes' under AC, not battery.

Comment 6 Bug Zapper 2009-06-09 12:10:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Matěj Cepl 2009-11-05 18:23:07 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]


Note You need to log in before you can comment on or make changes to this bug.